List Scaleway Image Tags
curl --request GET \
--url https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tagsimport requests
url = "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"imageName": "my-api",
"tags": [
{
"tagId": "d4e5f6a7-b8c9-0123-def0-234567890123",
"name": "v1.2.0",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
},
{
"tagId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
"name": "latest",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
}
],
"totalCount": 5,
"page": 1,
"pageSize": 20
}
}
Scaleway
List Scaleway Image Tags
List tags for a specific Docker image in Scaleway Container Registry
GET
/
integrations
/
scaleway
/
container-registry
/
project
/
{projectId}
/
credentials
/
{credentialId}
/
images
/
{imageId}
/
tags
List Scaleway Image Tags
Path Parameters
The UUID of the project
The UUID of the stored credential
The Scaleway image UUID
Query Parameters
Page number (1-based). Default:
1Number of items per page. Default:
20Authorization
Requiresread permission on the project.
Response
Whether the request succeeded
Show Tags Response
Show Tags Response
The image name
Total number of tags
Current page number
Items per page
{
"success": true,
"data": {
"imageName": "my-api",
"tags": [
{
"tagId": "d4e5f6a7-b8c9-0123-def0-234567890123",
"name": "v1.2.0",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
},
{
"tagId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
"name": "latest",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
}
],
"totalCount": 5,
"page": 1,
"pageSize": 20
}
}
⌘I